TARGET0=	mgpimage
TARGET=	lib$(TARGET0).a
SRCS=	imagetypes.c gif.c send.c zio.c zoom.c new.c compress.c reduce.c\
	value.c misc.c rotate.c rle.c rlelib.c smooth.c halftone.c clip.c\
	dither.c xbitmap.c xpixmap.c pbm.c pcx.c xwd.c mac.c jpeg.c g3.c\
	path.c sunraster.c mcidas.c fbm.c faces.c cmuwmraster.c bright.c\
	img.c mc_tables.c window.c png.c

OBJS=	imagetypes.o gif.o send.o zio.o zoom.o new.o compress.o reduce.o\
	value.o misc.o rotate.o rle.o rlelib.o smooth.o halftone.o clip.o\
	dither.o xbitmap.o xpixmap.o pbm.o pcx.o xwd.o mac.o jpeg.o g3.o\
	path.o sunraster.o mcidas.o fbm.o faces.o cmuwmraster.o bright.o\
	img.o mc_tables.o window.o png.o

DEFS=	@DEFS@
OPTFLAGS=@OPTFLAGS@

AllTarget($(TARGET))
DependTarget()
SpecialObjectRule(window.o,window.c,$(DEFS))
SpecialObjectRule(gif.o,gif.c,$(DEFS) $(OPTFLAGS))
SpecialObjectRule(imagetypes.o,imagetypes.c,$(DEFS))
#SpecialObjectRule(png.o,png.c,$(DEFS) $(OPTFLAGS))

#ifndef NullParameter
#define  NullParameter 
#endif

NormalLibraryTarget($(TARGET0), $(OBJS))

distclean::	clean
	-/bin/rm -f Imakefile Makefile

/*EOF*/
